package posx

import (
	"testing"

	"p78git.ddns.net/svi/libtui/types"
)

/*
	Тест для позиции объекта по координате X
*/

// Тестер для позиции по X
type tester struct {
	t    *testing.T
	pos  *PosX
	ipos types.IPosX
}

func TestPosX(t *testing.T) {
	test := &tester{
		t: t,
	}
	test.create()
	test.set()
}

// Установка позиции по X
func (sf *tester) set() {
	sf.t.Logf("set")
	sf.ipos.Set(-5)
	if val := sf.ipos.Get(); val != -5 {
		sf.t.Fatalf("set(): val(%v)!=-5", val)
	}
}

// Создание позиции по X
func (sf *tester) create() {
	sf.t.Logf("create")
	sf.pos = NewPosX()
	if sf.pos == nil {
		sf.t.Fatalf("create(): pos==nil")
	}
	sf.ipos = sf.pos
	if val := sf.ipos.Get(); val != 0 {
		sf.t.Fatalf("create(): val(%v)!=0", val)
	}
}
